java.security.interfaces

## Interface DSAKey

All Known Subinterfaces:
  DSAPrivateKey, DSAPublicKey

    public interface DSAKey

The interface to a DSA public or private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

See Also:
  `DSAParams`, `Key`, `Signature`

### Method Summary

Methods
`DSAParams` `getParams()` Returns the DSA-specific key parameters.

### Method Detail

#### getParams

    DSAParams getParams()

Returns the DSA-specific key parameters. These parameters are never secret.

Returns:
  the DSA-specific key parameters.
See Also:
  `DSAParams`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.